Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class StructMember

    java.lang.Object
      |
      +--org.omg.CORBA.StructMember

All Implemented Interfaces:
  IDLEntity, Serializable

public final class StructMember
extends Object
implements IDLEntity

A description of a member of an IDL `struct`.

See Also:
  Serialized Form

Field Summary
`String` | `name` The name of the struct member described by this `StructMember` object.
`TypeCode` | `type` The type of the struct member described by this `StructMember` object.
`IDLType` | `type_def` The typedef that represents the IDL type of the struct member described by this `StructMember` object.

Constructor Summary
`StructMember()` Constructs a default `StructMember` object.
`StructMember(String __name, TypeCode __type, IDLType __type_def)` Constructs a `StructMember` object initialized with the given values.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public String name

  The name of the struct member described by this `StructMember` object.

### type

    public TypeCode type

  The type of the struct member described by this `StructMember` object.

### type_def

    public IDLType type_def

  The typedef that represents the IDL type of the struct member described by this `StructMember` object.

Constructor Detail

### StructMember

    public StructMember()

  Constructs a default `StructMember` object.

### StructMember

    public StructMember(String __name,
                        TypeCode __type,
                        IDLType __type_def)

  Constructs a `StructMember` object initialized with the given values.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.